-- Version 2
-- Last change:     Sun 2026-06-14 using Hyprland v0.55.3-1
-- Git repo:        https://git.fennek.xyz/fennek182/dotfiles
-- Latest version:  https://git.fennek.xyz/fennek182/dotfiles/src/branch/main/.config/hypr/hyprland.lua

-- See https://wiki.hypr.land/Configuring/Start/ for more

--- Modules
require("modules.env")
require("modules.monitors")
require("modules.autostart")
require("modules.binds")
require("modules.layouts")
require("modules.misc")
require("modules.input")
require("modules.windowrules")
require("modules.workspaces")
require("modules.styling")

--- Plugins
-- require("plugins.hyprbars")
-- require("plugins.hyprexpo")
-- TODO: check syntax:
-- require("plugins.dynamic-cursors")


-----------------------
----- PERMISSIONS -----
-----------------------
-- See https://wiki.hypr.land/Configuring/Advanced-and-Cool/Permissions/
-- Please note permission changes here require a Hyprland restart and are not applied on-the-fly
-- for security reasons

-- TODO: checkout permissions

-- hl.config({
--   ecosystem = {
--     enforce_permissions = true,
--   },
-- })

-- hl.permission("/usr/(bin|local/bin)/grim", "screencopy", "allow")
-- hl.permission("/usr/(lib|libexec|lib64)/xdg-desktop-portal-hyprland", "screencopy", "allow")
-- hl.permission("/usr/(bin|local/bin)/hyprpm", "plugin", "allow")
